
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "soba/version"

Gem::Specification.new do |spec|
  spec.name          = "soba"
  spec.version       = Soba::VERSION
  spec.authors       = ["Jiang Jinyang"]
  spec.email         = ["jjyruby@gmail.com"]

  spec.summary       = %q{Soba is an experience rack server, which build upon green thread.}
  spec.description   = %q{Soba use [LightIO](https://github.com/socketry/lightio) to provision green threads.}
  spec.homepage      = "https://github.com/jjyr/soba"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "lightio", "~> 0.4.3"
  spec.add_dependency "pico_http_parser", "~> 0.0"
  spec.add_dependency "rack"
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
